<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.2
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_tra.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../classes/phpmailer/class.smtp.php");
include_once("../inc/mail.inc.php");
include_once("../classes/dirtool/class_dirtool.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$prop = str_majuscules(@$_POST["prop"]);
$type = str_majuscules(@$_POST["typ"]);
$cat = str_majuscules(@$_POST["cat"]);
$code = @$_POST["codecli"];
$ste = str_majuscules(@$_POST["ste"]);
$rcs = str_majuscules(@$_POST["rcs"]);
$ape = str_majuscules(@$_POST["ape"]);
$tvai = str_majuscules(@$_POST["tvai"]);
$civil = str_majuscules(@$_POST["civil"]);
$prenom = @$_POST["prenom"];
$nom = str_majuscules(@$_POST["nom"]);
$adr1 = str_majuscules(@$_POST["adr1"]);
$adr2 = str_majuscules(@$_POST["adr2"]);
$pays = str_majuscules(@$_POST["pays"]);
$dep = str_majuscules(@$_POST["dep"]);
$ville = str_majuscules(@$_POST["ville"]);
$codeadev = str_majuscules(@$_POST["codeadev"]);
$telf = @$_POST["telf"];
$fax = @$_POST["fax"];
$telp = @$_POST["telp"];
$email = strtolower(@$_POST["email"]);
$mess = strtolower(@$_POST["mess"]);
$notaa = @$_POST["notaa"];
$notat = @$_POST["notat"];
$ccpta = @$_POST["ccpta"];
$ccptasp = @$_POST["ccptasp"];
$cpta = @$_POST["cpta"];
$prev = intval(@$_POST["prev"]);
$mfact = @$_POST["mfact"];

$codeuser = @$_SESSION["code_log"];

$pass = cremdp(FALSE);
$passcrypt = md5($pass);
$msg = '';
$prev_cli = FALSE;
$codec = '';

$retourliste = TRUE;
$goint = FALSE;

switch ($_POST["nbutton"]) {
    case "int" :
        $goint = TRUE;
        break;
    default :
        break;
}


switch ($td) {
    // Ajout de la fiche client
    case "add" :
        if (@$_SESSION["niv_log"] >= 2) {
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

            $codec = crecode("C", FALSE);

            // données traçabilité
            $titre_tra = _("Création du client");
            $desc_tra_default = _("Création du client");

            $rech = "SELECT COUNT(*) FROM `" . TBCLI . "` WHERE cli_code = '" . $db->escape($codec) . "'";
            $nbres = $db->get_var($rech);
            if ($nbres == 0) {
                $rech2 = "";

                switch (@$_SESSION["niv_log"]) {
                    // Si le créateur est une agence ou un de ses techniciens, elle est immédiatement déclarée "propriétaire" du client
                    case 4 :
                    case 3 :
                        $rech2 = "INSERT INTO `" . TBCLI . "`";
                        $rech2 .= " (cli_cat,cli_datecrea,cli_codecrea,cli_datemod,cli_prop,cli_codemod,cli_code,cli_pass,";
                        $rech2 .= "cli_type,cli_ste,cli_rcs,cli_ape,cli_tvai,cli_civilite,cli_prenom,cli_nom,cli_adr1,";
                        $rech2 .= "cli_adr2,cli_dep,cli_ville,cli_codepays,cli_codeadev,cli_telf,cli_fax,cli_telp,cli_email,cli_mess,";
                        $rech2 .= "cli_notaa,cli_notat,cli_cpta,cli_prev,cli_modfact) VALUES ";
                        $rech2 .= "('$cat','$datea','$codeuser','$datea','" . $_SESSION["code_age"] . "','$codeuser','$codec','$passcrypt',";
                        $rech2 .= "'$type','" . $db->escape($ste) . "','" . $db->escape($rcs) . "','" . $db->escape($ape) . "','" . $db->escape($tvai) . "','$civil','" . $db->escape($prenom) . "','" . $db->escape($nom) . "','" . $db->escape($adr1) . "',";
                        $rech2 .= "'" . $db->escape($adr2) . "','$dep','$ville','$pays','$codeadev','$telf','$fax','$telp','$email','$mess',";
                        $rech2 .= "'" . $db->escape($notaa) . "','" . $db->escape($notat) . "','$cpta','$prev','$mfact')";
                        break;
                    // Si le créateur est un donneur d'ordre un de ses techniciens, il est immédiatement déclaré "propriétaire" du client
                    case 7 :
                    case 6 :
                        $rech2 = "INSERT INTO `" . TBCLI . "`";
                        $rech2 .= " (cli_cat,cli_datecrea,cli_codecrea,cli_datemod,cli_codedo,cli_codemod,cli_code,cli_pass,cli_type,";
                        $rech2 .= "cli_ste,cli_rcs,cli_ape,cli_tvai,cli_civilite,cli_prenom,cli_nom,cli_adr1,cli_adr2,cli_dep,";
                        $rech2 .= "cli_ville,cli_codepays,cli_codeadev,cli_telf,cli_fax,cli_telp,cli_email,cli_mess,cli_notaa,cli_notat,";
                        $rech2 .= "cli_cpta,cli_prev,cli_modfact) VALUES ";
                        $rech2 .= "('$cat','$datea','$codeuser','$datea','" . $_SESSION["code_do"] . "','$codeuser','$codec','$passcrypt','$type',";
                        $rech2 .= "'" . $db->escape($ste) . "','" . $db->escape($rcs) . "','" . $db->escape($ape) . "','" . $db->escape($tvai) . "','$civil','" . $db->escape($prenom) . "','" . $db->escape($nom) . "','" . $db->escape($adr1) . "','" . $db->escape($adr2) . "','$dep',";
                        $rech2 .= "'$ville','$pays','$codeadev','$telf','$fax','$telp','$email','$mess','" . $db->escape($notaa) . "','" . $db->escape($notat) . "',";
                        $rech2 .= "'$cpta','$prev','$mfact')";
                        break;
                    case 2 :
                        $rech2 = "INSERT INTO `" . TBCLI . "`";
                        $rech2 .= " (cli_cat,cli_datecrea,cli_codecrea,cli_datemod,cli_codemod,cli_code,cli_pass,cli_type,cli_ste,";
                        $rech2 .= "cli_rcs,cli_ape,cli_tvai,cli_civilite,cli_prenom,cli_nom,cli_adr1,cli_adr2,cli_dep,cli_ville,";
                        $rech2 .= "cli_codepays,cli_telf,cli_fax,cli_telp,cli_email,cli_mess,cli_notaa,cli_notat,cli_cpta,cli_prev,";
                        $rech2 .= "cli_modfact) VALUES ";
                        $rech2 .= "('$cat','$datea','$codeuser','$datea','$codeuser','$codec','$passcrypt','$type','" . $db->escape($ste) . "',";
                        $rech2 .= "'" . $db->escape($rcs) . "','" . $db->escape($ape) . "','" . $db->escape($tvai) . "','$civil','" . $db->escape($prenom) . "','" . $db->escape($nom) . "','" . $db->escape($adr1) . "','" . $db->escape($adr2) . "','$dep','$ville',";
                        $rech2 .= "'$pays','$telf','$fax','$telp','$email','$mess','" . $db->escape($notaa) . "','" . $db->escape($notat) . "','$cpta','$prev',";
                        $rech2 .= "'$mfact')";
                        break;
                    case 5 :
                    case 9 :
                        $rech2 = "INSERT INTO `" . TBCLI . "`";
                        $rech2 .= " (cli_prop,cli_cat,cli_datecrea,cli_codecrea,cli_datemod,cli_codemod,cli_code,cli_pass,cli_type,cli_ste,cli_rcs,cli_ape,cli_tvai,cli_civilite,cli_prenom,cli_nom,cli_adr1,cli_adr2,cli_dep,cli_ville,cli_codepays,cli_codeadev,cli_telf,cli_fax,cli_telp,cli_email,cli_mess,cli_notaa,cli_notat,cli_ccpta,cli_ccptasp,cli_cpta,cli_prev,cli_modfact) VALUES ";
                        if ($prop == '-1')
                            $rech2 .= "(NULL,'$cat','$datea','$codeuser','$datea','$codeuser','$codec','$passcrypt','$type','" . $db->escape($ste) . "','" . $db->escape($rcs) . "','" . $db->escape($ape) . "','" . $db->escape($tvai) . "','$civil','" . $db->escape($prenom) . "','" . $db->escape($nom) . "','" . $db->escape($adr1) . "','" . $db->escape($adr2) . "','$dep','$ville','$pays','$codeadev','$telf','$fax','$telp','$email','$mess','" . $db->escape($notaa) . "','" . $db->escape($notat) . "','" . $db->escape($ccpta) . "','" . $db->escape($ccptasp) . "','$cpta','$prev','$mfact')";
                        else
                            $rech2 .= "('$prop','$cat','$datea','$codeuser','$datea','$codeuser','$codec','$passcrypt','$type','" . $db->escape($ste) . "','" . $db->escape($rcs) . "','" . $db->escape($ape) . "','" . $db->escape($tvai) . "','$civil','" . $db->escape($prenom) . "','" . $db->escape($nom) . "','" . $db->escape($adr1) . "','" . $db->escape($adr2) . "','$dep','$ville','$pays','$codeadev','$telf','$fax','$telp','$email','$mess','" . $db->escape($notaa) . "','" . $db->escape($notat) . "','" . $db->escape($ccpta) . "','" . $db->escape($ccptasp) . "','$cpta','$prev','$mfact')";
                        break;
                }
                if ($rech2 <> "")
                    $db->query($rech2);

                // Ajout traçabilité
                $desc_tra = $desc_tra_default;
                add_trace(2, $code, "CRE", $titre_tra, $desc_tra, FALSE);

                // Ajout du compte pour connexion
                // Niveau par défaut : 1
                // Actif par défaut

                $log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
                $rech = "INSERT INTO `" . TBPW . "` (pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codec','$passcrypt','1','$dateheurea','$log_ip','1')";
                $db->query($rech);

                // MAJ du dossier spécifique au client
                $mess_err = check_fic_cli($codec, $ste, $nom, $prenom, FALSE);
                if ($mess_err <> "") {
                    $msg = $mess_err;
                    $retourliste = FALSE;
                } else
                    $msg = _("Compte client créé");
                $db->disconnect();
            } else {
                $msg = _("Ce code existe déjà");
                $retourliste = FALSE;
            }
        } else {
            $msg = _("Vous n'avez pas le droit d'ajouter un compte client");
            $retourliste = FALSE;
        }

        if ($retourliste == TRUE) {
            switch (@$_SESSION["niv_log"]) {
                // Si le créateur est une agence, un de ses techniciens, un Opérateur, le centre de gestion, ou l'admin,
                // message classique
                case 2 :
                case 5 :
                case 9 :
                case 4 :
                case 3 :
                    $cre = "cre";
                    break;
                // Si le créateur est un donneur d'ordre ou l'un de ses techniciens, message spécifique
                case 7 :
                case 6 :
                    envoi_mail("", _("Ouverture d'un compte client"), "cli", "cre", "xxx", "do", $codec, "", "", FALSE);
                    $cre = "cre2";
                    break;
            }

            // Envoi d'email vers le client
            switch ($prev)
            {
                // On prévient par mail
                case 0 :
                    envoi_mail("", _("Ouverture de votre compte client"), "cli", $cre, "xxx", "cli", $codec, $pass, "", TRUE);
                    break;
                // On prévient, mais pas par mail
                case 1 :
                case 2 :
                case 3 :
                    $prev_cli = TRUE;
                    $txtcorps = cre_corps_txtc("cli", $cre, "xxx", "cli", $codec, $pass, "");
                    $_SESSION["txt"] = $txtcorps;

                    // Envoi d'email vers le webmaster
                    envoi_mailwm("", _("Ouverture d'un compte client"), "cli", $cre, "xxx", "cli", $codec, $pass, "");
                break;
                // Ne pas prévenir
                case 4 :
                    break;
            }

            // Envoi d'email vers le centre de gestion
            envoi_mail("", _("Création de client"), "cli", "cre", "xxx", "cdg", $codec, "", "", FALSE);
            // Envoi d'email vers l'administrateur pour la création du répertoire
            $rep_ce_client = $url_gfc . "/clients" . "/" . strtolower($codec);
            envoi_mailwm($rep_ce_client, _("Création de répertoire"), "dir", "cre", "xxx", "wm", $rep_ce_client, "", "");
            // Envoi d'email vers les agences couvrant ce client
            // (si pas saisi par une agence ou un technicien)
        }
        break;

    // MAJ de la fiche Client
    case "edit" :
        $pbm_enr = FALSE;
        $codec = $code;

        // Si on n'est plus une société (champ vide), on doit vérifier que les sites ne sont pas utilisés
        if ($ste == "") {
            // Vérifie si utilisé dans une fiche intervention
            if (exist_scli_in_int_cc($code) == TRUE) {
                $pbm_enr = TRUE;
                $msg = _("Un des sites de ce client est déjà utilisé dans une fiche intervention") . '<br />' . _("Vous devez donc saisir un nom de société");
            }

            // Vérifie si utilisé dans un contrat
            if (exist_scli_in_cocl_cc($code) == TRUE) {
                $pbm_enr = TRUE;
                if ($msg <> "")
                    $msg .= "<br /><br />";
                $msg = _("Un des sites de ce client est déjà utilisé dans un contrat") . '<br />' . _("Vous devez donc saisir un nom de société");
            }
        }

        if ($pbm_enr == FALSE) {
            // On récupère l'enregistrement précédent (traçabilité)
            $ex_enrcli = lit_enr_cli($code, TRUE, "assoc");

            // MAJ de la fiche Client
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

            $rech = "";

            switch (@$_SESSION["niv_log"]) {
                case 9 :
                case 5 :
                    $rech = "UPDATE `" . TBCLI . "` SET `cli_datemod`='" . $datea . "', `cli_codemod`='" . $codeuser . "',";
                    $rech .= " `cli_cat`='" . $cat . "',";
                    if ($prop == '-1')
                        $rech .= " `cli_prop`= NULL,";
                    else
                        $rech .= " `cli_prop`='" . $prop . "',";
                    $rech .= " `cli_type`='" . $type . "', `cli_ste`='" . $db->escape($ste) . "', `cli_rcs`='" . $db->escape($rcs) . "', `cli_ape`='" . $db->escape($ape) . "', `cli_tvai`='" . $db->escape($tvai) . "', `cli_civilite`='" . $civil . "',";
                    $rech .= " `cli_prenom`='" . $db->escape($prenom) . "', `cli_nom`='" . $db->escape($nom) . "', `cli_adr1`='" . $db->escape($adr1) . "', `cli_adr2`='" . $db->escape($adr2) . "',";
                    $rech .= " `cli_ville`='" . $ville . "', `cli_codepays`='" . $pays . "', `cli_dep`='" . $dep . "', `cli_codeadev`='" . $codeadev . "', `cli_telf`='" . $telf . "',";
                    $rech .= "`cli_fax`='" . $fax . "', `cli_telp`='" . $telp . "', `cli_email`='" . $email . "', `cli_mess`='" . $mess . "',";
                    $rech .= " `cli_notaa`='" . $db->escape($notaa) . "', `cli_notat`='" . $db->escape($notat) . "', `cli_ccpta`='" . $db->escape($ccpta) . "', `cli_ccptasp`='" . $db->escape($ccptasp) . "', `cli_cpta`='" . $cpta . "', `cli_prev`='" . $prev . "',";
                    $rech .= " `cli_modfact`='" . $mfact . "'  WHERE `cli_code` = '" . $db->escape($code) . "'";

                    break;
                case 7 :
                case 6 :
                    $rech = "UPDATE `" . TBCLI . "` SET `cli_datemod`='" . $datea . "', `cli_codedo`='" . $_SESSION["code_do"] . "', `cli_codemod`='" . $codeuser . "',";
                    $rech .= " `cli_cat`='" . $cat . "', `cli_type`='" . $type . "', `cli_ste`='" . $db->escape($ste) . "', `cli_rcs`='" . $db->escape($rcs) . "', `cli_ape`='" . $db->escape($ape) . "', `cli_tvai`='" . $db->escape($tvai) . "',";
                    $rech .= " `cli_civilite`='" . $civil . "', `cli_prenom`='" . $db->escape($prenom) . "', `cli_nom`='" . $db->escape($nom) . "', `cli_adr1`='" . $db->escape($adr1) . "',";
                    $rech .= " `cli_adr2`='" . $db->escape($adr2) . "', `cli_ville`='" . $ville . "', `cli_codepays`='" . $pays . "', `cli_dep`='" . $dep . "',";
                    $rech .= " `cli_codeadev`='" . $codeadev . "', `cli_telf`='" . $telf . "', `cli_fax`='" . $fax . "', `cli_telp`='" . $telp . "', `cli_email`='" . $email . "',";
                    $rech .= " `cli_mess`='" . $mess . "', `cli_notat`='" . $db->escape($notat) . "', `cli_cpta`='" . $cpta . "', `cli_prev`='" . $prev . "',";
                    $rech .= " `cli_modfact`='" . $mfact . "'  WHERE `cli_code` = '" . $db->escape($code) . "'";
                    break;
                case 4 :
                case 3 :
                    $rech = "UPDATE `" . TBCLI . "` SET `cli_datemod`='" . $datea . "',";
                    $rech .= " `cli_codemod`='" . $codeuser . "', `cli_cat`='" . $cat . "', `cli_type`='" . $type . "', `cli_ste`='" . $db->escape($ste) . "',";
                    $rech .= "`cli_rcs`='" . $db->escape($rcs) . "', `cli_ape`='" . $db->escape($ape) . "', `cli_tvai`='" . $db->escape($tvai) . "', `cli_civilite`='" . $civil . "', `cli_prenom`='" . $db->escape($prenom) . "', `cli_nom`='" . $db->escape($nom) . "',";
                    $rech .= " `cli_adr1`='" . $db->escape($adr1) . "', `cli_adr2`='" . $db->escape($adr2) . "', `cli_ville`='" . $ville . "', `cli_codepays`='" . $pays . "',";
                    $rech .= " `cli_dep`='" . $dep . "', `cli_codeadev`='" . $codeadev . "', `cli_telf`='" . $telf . "', `cli_fax`='" . $fax . "', `cli_telp`='" . $telp . "',";
                    $rech .= " `cli_email`='" . $email . "', `cli_mess`='" . $mess . "', `cli_notat`='" . $db->escape($notat) . "', `cli_cpta`='" . $cpta . "',";
                    $rech .= " `cli_prev`='" . $prev . "', `cli_modfact`='" . $mfact . "'  WHERE `cli_code` = '" . $db->escape($code) . "'";
                    break;
                case 2 :
                    $rech = "UPDATE `" . TBCLI . "` SET `cli_datemod`='" . $datea . "', `cli_codemod`='" . $codeuser . "', `cli_cat`='" . $cat . "',";
                    $rech .= "`cli_type`='" . $type . "', `cli_ste`='" . $db->escape($ste) . "', `cli_rcs`='" . $db->escape($rcs) . "', `cli_ape`='" . $db->escape($ape) . "', `cli_tvai`='" . $db->escape($tvai) . "', `cli_civilite`='" . $civil . "',";
                    $rech .= " `cli_prenom`='" . $db->escape($prenom) . "', `cli_nom`='" . $db->escape($nom) . "', `cli_adr1`='" . $db->escape($adr1) . "', `cli_adr2`='" . $db->escape($adr2) . "',";
                    $rech .= " `cli_ville`='" . $ville . "', `cli_codepays`='" . $pays . "', `cli_dep`='" . $dep . "',`cli_telf`='" . $telf . "',";
                    $rech .= " `cli_fax`='" . $fax . "', `cli_telp`='" . $telp . "', `cli_email`='" . $email . "', `cli_mess`='" . $mess . "',";
                    $rech .= " `cli_cpta`='" . $cpta . "', `cli_modfact`='" . $mfact . "'  WHERE `cli_code` = '" . $db->escape($code) . "'";
                    break;
                case 1 :
                    $rech = "UPDATE `" . TBCLI . "` SET `cli_datemod`='" . $datea . "', `cli_codemod`='" . $codeuser . "', `cli_ste`='" . $db->escape($ste) . "',";
                    $rech .= " `cli_rcs`='" . $db->escape($rcs) . "', `cli_ape`='" . $db->escape($ape) . "', `cli_tvai`='" . $db->escape($tvai) . "', `cli_civilite`='" . $civil . "', `cli_prenom`='" . $db->escape($prenom) . "', `cli_nom`='" . $db->escape($nom) . "',";
                    $rech .= " `cli_adr1`='" . $db->escape($adr1) . "', `cli_adr2`='" . $db->escape($adr2) . "', `cli_ville`='" . $ville . "', `cli_codepays`='" . $pays . "',";
                    $rech .= " `cli_dep`='" . $dep . "', `cli_telf`='" . $telf . "', `cli_fax`='" . $fax . "', `cli_telp`='" . $telp . "',";
                    $rech .= " `cli_email`='" . $email . "', `cli_mess`='" . $mess . "' WHERE `cli_code` = '" . $db->escape($code) . "'";
                    break;
            }
            if ($rech <> "")
                $db->query($rech);
            $db->disconnect();
            /*
                        // Réaffectation des sites clients rattachés à l'agence propriétaire
                        $rech = "UPDATE `" .TBSCLI. "` SET `scli_datemod`='".$datea."', `scli_codemod`='".$codeuser."', `scli_prop`= '".$prop."' WHERE `scli_codecli` = '".$code."'";
                        $rs = mysql_query($rech) or die(mysql_error());
                        mysql_close($conn);
            */
            // MAJ du dossier spécifique au client
            $mess_err = check_fic_cli($code, $ste, $nom, $prenom, TRUE);
            if ($mess_err <> "") {
                $msg = $mess_err;
                $retourliste = FALSE;
            } else
                $msg = _("Compte client modifié");

            // Si pas professionnel, suppressions diverses
            if ($ste == "") {
                // Suppression des contacts
                del_ccli_in_cli($code);

                // Suppression des sites
                del_scli_in_cli($code);
            }

            $msg = _("Compte client modifié");

            // On récupère l'enregistrement actuel (traçabilité)
            $nouv_enrcli = lit_enr_cli($code, TRUE, "assoc");

            // On compare les éléments d'enregistrement pour traçabilité
            $trace_added = analyse_trace("cli", $ex_enrcli, $nouv_enrcli, '', TRUE);

            // Envoi d'email vers le centre de gestion
            envoi_mail("", _("Modification de client"), "cli", "mod", "xxx", "cdg", $code, "", "", TRUE);
        } else
            $retourliste = FALSE;
        break;

    // Suppression de la fiche Client
    case "del" :
        if (@$_SESSION["niv_log"] >= 3) {
            $pbm_enr = FALSE;
            $msg = "";

            // Vérifie si utilisé dans un relevé
            if (exist_cli_in_rel($code) == TRUE) {
                $pbm_enr = TRUE;
                $msg = _("Ce client est déjà utilisé dans un relevé de parc") . '<br />' . _("Vous ne pouvez donc pas le supprimer");
            }

            // Vérifie si utilisé dans une fiche intervention
            if (exist_cli_in_int($code) == TRUE) {
                $pbm_enr = TRUE;
                if ($msg <> "")
                    $msg .= "<br /><br />";
                $msg = _("Ce client est déjà utilisé dans une fiche intervention") . '<br />' . _("Vous ne pouvez donc pas le supprimer");
            }

            // Vérifie si utilisé dans un contrat signé
            if (exist_cli_in_cocl_signe($code) == TRUE) {
                $pbm_enr = TRUE;
                if ($msg <> "")
                    $msg .= "<br /><br />";
                $msg = _("Ce client est déjà utilisé dans un contrat signé") . '<br />' . _("Vous ne pouvez donc pas le supprimer");
            }

            if ($pbm_enr == FALSE) {
                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

                // SUPPRESSION des contrats non signés rattachés
                $rech = "DELETE FROM `" . TBCOCL . "` WHERE `cocl_codecli` = '$code' AND `cocl_signe` IS NULL";
                $db->query($rech);

                // SUPPRESSION de la fiche Client
                $rech = "DELETE FROM `" . TBCLI . "` WHERE `cli_code` = '$code'";
                $db->query($rech);

                // Suppression du mot de passe rattaché
                $rech = "DELETE FROM `" . TBPW . "` WHERE `pw_code` = '$code'";
                $db->query($rech);

                $db->disconnect();

                // Suppression des contacts
                del_ccli_in_cli($code);

                // Suppression des sites
                del_scli_in_cli($code);

                // Suppression du répertoire de stockage spécifique au client
                if (is_dir($url_gfc . "/clients/" . strtolower($code))) {
                    $rep_cli = $url_gfc . "/clients/" . strtolower($code);
                    $dir = new dirtool($rep_cli);
                    $dir->delete();

                    // Envoi d'email vers l'administrateur pour la suppression du répertoire
                    envoi_mailwm($rep_cli, _("Suppression de répertoire"), "dir", "del", "xxx", "wm", $rep_cli, "", "");

                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

                    $rech = "DELETE FROM `" . TBFIC . "` WHERE `fic_nom` LIKE '%$rep_cli%'";
                    $db->query($rech);

                    $db->disconnect();

                    $msg = _("Compte supprimé");
                } else {
                    $msg = _("Compte supprimé") . '<br />' . _("Le répertoire personnel de ce client n'existe pas");
                    $retourliste = FALSE;
                }
            } else
                $retourliste = FALSE;
        } else {
            $msg = _("Vous n'avez pas le droit de supprimer un client");
            $retourliste = FALSE;
        }
        break;

    default :
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Client"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?PHP
            if ($retourliste == FALSE)
                echo "warn_txt('" . str_escape($msg) . "');";
            if ($prev_cli == TRUE)
               echo 'fen_prev_cli('.$prev.');';
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php
include_once("../inc/entete.inc.php");
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    if (($td == "add") OR ($td == "edit"))
        aff_ret_idx_man($td, $lnk_cli_lst, _("Retour à la liste"), TRUE);
} else {
    if ($prev_cli == TRUE)
        $msg = '';
    if ($goint == TRUE) {
        if ($td == "add")
            $urlint = "int_maj.php?td=add&ci=&cc=" . $codec;
        else
            $urlint = "int_maj.php?td=add&ci=&cc=" . $code;
        if ($cpta <> 3) // Pas d'intervention si compte bloqué
            pop_ret_auto($msg.'<br />'. _("Passage en saisie d'intervention"), 'ok', $urlint);
        else
            pop_ret_auto($msg, 'warn', $lnk_cli_lst);
    } else {
        if (($td == "add") OR ($td == "edit")) {
            if (@$_SESSION["niv_log"] >= 3)
                pop_ret_auto($msg, 'ok', "cli_maj.php?td=edit&cc=" . $codec . "&dep=" . $dep);
            else
                pop_ret_auto($msg, 'ok', "index.php?tl=1");
        } else
            pop_ret_auto($msg, 'ok', $lnk_cli_lst);
    }
}
include_once("pied.php");
?>
</body>
</html>